#include<bits/stdc++.h>
using namespace std;

using ll = long long;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n, m;
    cin >> n >> m;

    vector<pair<int, int>> a(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i].first >> a[i].second;
    }

    while(m--) {
        int l, r, x;
        cin >> l >> r >> x;
        --l; --r;

        int ans = 0;
        for (int i = l; i <= r; i++) {
            if (a[i].first <= x && x <= a[i].second) {
                ++ans;
            }
        }
        cout << ans << "\n";
    }

    return 0;
}